<div class="container" fxLayout="column" fxLayoutGap="10px">

	<div fxFlex>
		<div>
			<h3>Menu</h3>
			<hr>
		</div>
	</div>

	<div fxFlex *ngIf="dishes">
		<mat-grid-list cols="2" rowHeight="200px">
			<mat-grid-tile *ngFor="let dish of dishes" [routerLink]="['/dishdetail', dish.id]">
				<img height="200px" matListAvatar src={{dish.image}} alt="{{dish.name}}">
				<mat-grid-tile-footer>
					<h1 matLine>{{dish.name | uppercase}}</h1>
				</mat-grid-tile-footer>
			</mat-grid-tile>
		</mat-grid-list>
	</div>

	<div fxFlex [hidden]="dishes">
		<mat-spinner></mat-spinner>
		<h4>Loading... Please wait</h4>
	</div>


<!-- 	<mat-list fxFlex>
		<mat-list-item *ngFor="let dish of dishes">
			<img matListAvatar src={{dish.image}} alt="{{dish.name}}">
			<h1 matLine>{{dish.name}}</h1>
			<p matLine><span>{{ dish.description }}</span></p>
		</mat-list-item>
	</mat-list> -->
</div>